%define         module_release          alt4
%define         module_version          2.3.1
%define         module_name             pentanet
%define         module_source %{module_name}-%{module_version}_021111.tar.gz
%define         module_source_dir %{module_name}-%{module_version}
%define		base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')

Name:		kernel-source-%{module_name}
Version:	%{module_version}
Release:	%{module_release}
Summary:	%{module_name} kernel module source code
Summary(ru_RU.KOI8-R):     %{module_name}
License:	GPL
Group:		Development/Kernel
ExclusiveOS:	Linux
Packager:	Denis Ovsienko <pilot@altlinux.ru>
URL:		http://www.pentamedia.com/english/supports/technical-netfile.htm
BuildRequires:	rpm >= 4.0.2-75
Source0:	%{module_source}
Source1:	pentamon
Source2:	ifup-pentanet
Source3:	ifdown-pentanet
Source4:	ifcfg-pentanet0.example
Source5:	config-pentanet0.example
Source6:	pentanet-README.ALT

%description
This package contains %{module_name} kernel module source code, required for automatic
module build during different flavours kernel builds in ALT Linux.

%description -l ru_RU.KOI8-R
       %{module_name}, 
          ALT Linux.

%prep
%setup -c -n %{module_name}-%{module_version}

%build
%make -C %{module_name}-%{module_version}/apps/libif
%make -C %{module_name}-%{module_version}/apps/libapp
%make -C %{module_name}-%{module_version}/apps/textapp
%make -C %{module_name}-%{module_version}/driver

%install
# tools
%__install -D %{module_name}-%{module_version}/apps/textapp/pentanett %buildroot%_sbindir/pentanett
%__install -D %SOURCE1 %buildroot%_sbindir/pentamon
%__install -d %buildroot%_sysconfdir/sysconfig/network-scripts
%__install %SOURCE2 %SOURCE3 %buildroot%_sysconfdir/sysconfig/network-scripts
# tarball
%__mkdir_p %{buildroot}%{_usrsrc}/kernel/sources/
%__mkdir tartmp
pushd tartmp
%__tar xzf %SOURCE0
%__mv %{module_name}-%{module_version} kernel-source-%{module_name}-%{module_version}
%__tar -c kernel-source-%{module_name}-%{module_version} | %__bzip2 -c > \
    %{buildroot}%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2
popd
%__rm -rf tartmp
%__cp %SOURCE4 ifcfg-pentanet0.example
%__cp %SOURCE5 config-pentanet0.example
%__cp %SOURCE6 README.ALT

%files
%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

#--------------------------------------------------------------
%package -n pentanet-tools
Summary: %{module_name} kernel module configuration tools for Pent@NET DVB card
Summary(ru_RU.KOI8-R):     %{module_name}  DVB- Pent@NET
Group: System/Configuration/Hardware
PreReq: kernel-modules-%{module_name}
BuildRequires: kernel-headers-std-up glibc-kernheaders
ExclusiveArch: %{ix86}

%description -n pentanet-tools
This package contains utilities required to configure and monitor Pent@NET
DVB receiver card.

%description -l ru_RU.KOI8-R -n pentanet-tools
   ,      
DVB-ɣ Pent@NET.

%files -n pentanet-tools
%_sbindir/*
%_sysconfdir/sysconfig/network-scripts/*
%doc %{module_name}-%{module_version}/doc/*
%doc %{module_name}-%{module_version}/{ChangeLog,README,AUTHORS}
%doc ifcfg-pentanet0.example
%doc config-pentanet0.example
%doc README.ALT

%changelog
* Tue Mar 23 2004 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt4
- spec cleanup
- moved example configs to docdir

* Fri Jan 23 2004 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt3
- macros, deps and text fixes
- README.ALT

* Sun Oct 12 2003 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt2
- fixed install calls
- removed version from name
- one more file into docs

* Sat Oct 11 2003 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt1
- initial Sisyphus build
